aagc.vo

## Class UpdateMovimentoLottoResItem

- java.lang.Object
- - aagc.vo.UpdateMovimentoLottoResItem

-     public class UpdateMovimentoLottoResItem
      extends java.lang.Object

  Java class for updateMovimentoLottoResItem complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="updateMovimentoLottoResItem">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="successo" type="{http://giava.rsr.rupar.puglia.it}updateMovimentoLottoItem"/>
               <element name="errore" type="{http://giava.rsr.rupar.puglia.it}ErroreLotto" maxOccurs="unbounded"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<ErroreLotto>` | `errore`
    `protected UpdateMovimentoLottoItem` | `successo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateMovimentoLottoResItem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ErroreLotto>` | `getErrore()` Gets the value of the errore property.
    `UpdateMovimentoLottoItem` | `getSuccesso()` Gets the value of the successo property.
    `void` | `setSuccesso(UpdateMovimentoLottoItem value)` Sets the value of the successo property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### successo

          protected UpdateMovimentoLottoItem successo

    - #### errore

          protected java.util.List<ErroreLotto> errore

  - ### Constructor Detail

    - #### UpdateMovimentoLottoResItem

          public UpdateMovimentoLottoResItem()

  - ### Method Detail

    - #### getSuccesso

          public UpdateMovimentoLottoItem getSuccesso()

      Gets the value of the successo property.
      Returns:
        possible object is `UpdateMovimentoLottoItem`

    - #### setSuccesso

          public void setSuccesso(UpdateMovimentoLottoItem value)

      Sets the value of the successo property.
      Parameters:
        `value` - allowed object is `UpdateMovimentoLottoItem`

    - #### getErrore

          public java.util.List<ErroreLotto> getErrore()

      Gets the value of the errore property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the javax XML Binding object. This is why there is not a `set` method for the errore property.

      For example, to add a new item, do as follows:

              getErrore().add(newItem);

      Objects of the following type(s) are allowed in the list `ErroreLotto`

      Returns:
        The value of the errore property.